Bug 823297 - /usr/lib/pkcs11/gnome-keyring-pkcs11.so is missing.
/usr/lib/pkcs11/gnome-keyring-pkcs11.so is missing.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-keyring (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
: Reopened
: 1080234 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-20 12:46 EDT by faldegast
Modified: 2015-12-12 10:03 EST (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1080234 1289813 (view as bug list)
Environment:
Last Closed: 2015-06-29 07:38:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description faldegast 2012-05-20 12:46:42 EDT
Description of problem:
p11-kit: couldn't load module: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: kan inte öppna delad objektfil: Filen eller katalogen finns inte

Version-Release number of selected component (if applicable):
wine-1.5.2-2.fc17

How reproducible:
Start any program with wine.

Steps to Reproduce:
1. yum install wine (should nag about missing dependency). 
2. wine myprog.exe
3.
  
Actual results:
Wine reports that /usr/lib/pkcs11/gnome-keyring-pkcs11.so is missing

Expected results:
Wine should find and load the file.

Additional info:
gnome-keyring-3.4.1-2.fc17.x86_64 contains: /usr/lib64/pkcs11/gnome-keyring-pkcs11.so - what is missing is the 32-bit version.
This file should probably belong to gnome-keyring.i686-whidh does not exist.
Comment 1 Andreas Bierfert 2012-05-28 17:06:19 EDT
The issue you are seeing is triggered by wine but is not actually a problem of wine. You can temporarily silence this by commenting out the module part of /etc/pkcs11/modules/gnome-keyring.

Would be nice to get a word from the gnome-keyring maintainer on this.
Comment 2 Jürgen Botz 2012-06-10 09:11:12 EDT
I got this error, so I did "yum whatprovides /usr/lib/pkcs11/gnome-keyring-pkcs11.so" and found that there is no package in the x86_64 repos that provides this file.  So I grabbed gnome-keyring-3.4.1-2.fc17.i686.rpm from the i386 repo, but trying to "yum localinstall ..." this is a no-go as it would try to pull in dependencies that don't exist in the x86_64 repo and/or create conflicts.

I resolved the problem by manually extracting and installing /usr/lib/pkcs11/gnome-keyring-pkcs11.so file from the i686 rpm.

This illustrates that this is packaging problem.  The relevant shared libraries need to be broken out into separate rpms so that they can be included in the x86_64 repos.
Comment 3 Ralf Corsepius 2013-02-17 00:15:32 EST
(In reply to comment #1)
> The issue you are seeing is triggered by wine but is not actually a problem
> of wine.

This problem also occurs when installing i386 compiled (gtk2-based) binaries on x86_64 systems.

> You can temporarily silence this by commenting out the module part
> of /etc/pkcs11/modules/gnome-keyring.
In my case, the solution seems to be to manually install gnome-keyring.i686

> Would be nice to get a word from the gnome-keyring maintainer on this.
IMO, this is a releng-issue. They likely should add gnome-keyring.i686 to the x86_64 repo.
Comment 4 Jonathan Ryshpan 2013-03-25 09:41:14 EDT
(In reply to comment #2)
> I got this error, so I did "yum whatprovides
> /usr/lib/pkcs11/gnome-keyring-pkcs11.so" and found that there is no package
> in the x86_64 repos that provides this file.  So I grabbed
> gnome-keyring-3.4.1-2.fc17.i686.rpm from the i386 repo, but trying to "yum
> localinstall ..." this is a no-go as it would try to pull in dependencies
> that don't exist in the x86_64 repo and/or create conflicts.
> 
> I resolved the problem by manually extracting and installing
> /usr/lib/pkcs11/gnome-keyring-pkcs11.so file from the i686 rpm.
> 
> This illustrates that this is packaging problem.  The relevant shared
> libraries need to be broken out into separate rpms so that they can be
> included in the x86_64 repos.

The same bug is in Fedora-18, where it also prevents acroread from printing.  A print attempt from acroread, run from a terminal, produces the error message:

p11-kit: couldn't load module: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: cannot open shared object file: No such file or directory

This is a common problem: packaging libraries that need to be installed in both .i686 and .x86_64 versions with executables that conflict.  A possible cure would be to create different folders for executables, say /usr/bin32 and /usr/bin64, with /usr/bin (sym)linked to the appropriate one depending on the system; but changing to this layout would require a lot of work from packagers.  So the only cure appears to be to separate out executables from binaries wherever needed, as here.
Comment 5 Kim Bisgaard 2013-03-27 10:25:07 EDT
You get the same error weather you run wine or win64.

Workaround: 
cd /usr/lib
mkdir pkcs11
cd pkcs11/
ln -s ../../lib64/pkcs11/gnome-keyring-pkcs11.so .
Comment 6 Fedora Admin XMLRPC Client 2013-05-07 12:04:28 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2013-07-03 20:21:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Sylvain Petreolle 2013-07-04 15:57:54 EDT
This bug is still valid on Fedora 19.
Comment 9 Peter H. Jones 2013-07-22 11:01:14 EDT
Also in Fedora 18. Version number needs to be changed, as per EOL notice.
Comment 10 Fedora End Of Life 2013-07-31 23:57:38 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 Paolo Bonzini 2014-08-13 07:51:34 EDT
Still valid on Fedora 20.
Comment 12 David King 2015-03-10 13:35:52 EDT
*** Bug 1080234 has been marked as a duplicate of this bug. ***
Comment 13 Sylvain Petreolle 2015-03-11 16:47:39 EDT
This library is still missing on Fedora 21, please change the version.
Comment 14 Fedora End Of Life 2015-05-29 04:44:45 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 15 LiZhenbo 2015-05-29 04:54:09 EDT
This problem is still in Fedora 22

lizhenbo@lizhenbo ~$ dnf provides */gnome-keyring-pkcs11.so
Last metadata expiration check performed 1 day, 1:34:05 ago on Thu May 28 15:18:49 2015.
gnome-keyring-3.16.0-1.fc22.x86_64 : Framework for managing passwords and other secrets
Repo        : @System

gnome-keyring-3.16.0-1.fc22.x86_64 : Framework for managing passwords and other secrets
Repo        : fedora

------------------

lizhenbo@lizhenbo ~$ dnf provides /usr/lib64/pkcs11/gnome-keyring-pkcs11.so
Last metadata expiration check performed 1 day, 1:34:19 ago on Thu May 28 15:18:49 2015.
gnome-keyring-3.16.0-1.fc22.x86_64 : Framework for managing passwords and other secrets
Repo        : @System

gnome-keyring-3.16.0-1.fc22.x86_64 : Framework for managing passwords and other secrets
Repo        : fedora

lizhenbo@lizhenbo ~$ dnf provides /usr/lib/pkcs11/gnome-keyring-pkcs11.so
Last metadata expiration check performed 1 day, 1:34:40 ago on Thu May 28 15:18:49 2015.
Error: No Matches found
lizhenbo@lizhenbo ~$
Comment 16 Fedora End Of Life 2015-06-29 07:38:58 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.